net.i2p.sam

## Class SAMv3StreamSession.Pipe

- java.lang.Object
- - java.lang.Thread
  - - net.i2p.sam.SAMv3StreamSession.Pipe

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    SAMv3StreamSession

      public class SAMv3StreamSession.Pipe
      extends Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) ByteBuffer` | `buf`
    `(package private) ReadableByteChannel` | `in`
    `(package private) WritableByteChannel` | `out`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMv3StreamSession.Pipe(ReadableByteChannel in, WritableByteChannel out, String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### in

          ReadableByteChannel in

    - #### out

          WritableByteChannel out

    - #### buf

          ByteBuffer buf

  - ### Constructor Detail

    - #### SAMv3StreamSession.Pipe

          public SAMv3StreamSession.Pipe(ReadableByteChannel in,
                                 WritableByteChannel out,
                                 String name)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`